Package Details: stlink-server 2.1.1-2

Git Clone URL: https://aur.archlinux.org/stlink-server.git (read-only, click to copy)
Package Base: stlink-server
Description: An application to share the debug interface of a single ST-LINK board among several host applications, typically a debugging tool and a monitoring tool
Upstream URL: 'https://www.st.com/en/development-tools/st-link-server.html
Keywords: debug Development monitoring server Software st-link stm32 Tools UART USB
Licenses: custom:SLA0048
Submitter: nullik
Maintainer: yjun
Last Packager: yjun
Votes: 1
Popularity: 0.000000
First Submitted: 2021-04-14 14:05 (UTC)
Last Updated: 2024-07-12 15:10 (UTC)

Latest Comments

yjun commented on 2024-07-12 15:09 (UTC)

@samdorey fixed.:)

samdorey commented on 2024-07-09 14:00 (UTC) (edited on 2024-07-09 14:25 (UTC) by samdorey)

The SHA256 seems to be outdated.

Skipping integrity check still gives an error when using yay: /home/user/.cache/yay/stlink-server/PKGBUILD: line 63: cd: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.1.1-2: No such file or directory

Looks like the zip isn't being uncompressed, is _bundle_sh_extract() ever used?

yjun commented on 2024-05-12 10:24 (UTC)

Updated to the latest version.

yangwenbo99 commented on 2023-04-26 21:33 (UTC)

Git diff FYI.

--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
 validpgpkeys=('33ED753E14757D79FA17E57DC4C1F715B2B66B95')

 pkgname=stlink-server
-pkgver=2.0.2
+pkgver=2.1.0
 pkgrel=1
 pkgdesc='The ST-LINK server it is a debugging tool and a monitoring tool for st chips like stm32 family.'
 arch=('x86_64')
@@ -12,25 +12,28 @@ url='https://www.st.com/en/development-tools/st-link-server.html'

 provides=('stlink-server')

+zipfilename='en.st-link-server_v2-1-0.zip'
+subsrcdir='en.st-link-server_v2.1.0-1'
+
 prepare() {

-  if [ ! -f /tmp/en.st-link-server.zip ]; then
+  if [ ! -f /tmp/en.st-link-server_v2-1-0.zip ]; then
     echo -e "\E[1;31mFile en.st-link-server.zip not found in the /tmp" \
       "directory! \E[0m\nPlease open https://www.st.com/en/development-tools/st-link-server.html and" \
-      "download en.st-link-server.zip file.\nCopy en.st-link-server.zip to /tmp/en.st-link-server.zip" \
-      "with command\E[1;33m cp -f en.st-link-server.zip /tmp/en.st-link-server.zip\E[0m and start build again!"
-      "with command\E[1;33m cp -f en.st-link-server.zip /tmp/en.st-link-server.zip\E[0m and start build again!"
+      "download en.st-link-server.zip file.\nCopy ${zipfilename} to /tmp/${zipfilename}" \
+      "with command\E[1;33m cp -f en.st-link-server.zip /tmp/en.st-link-server_v2-1-0.zip\E[0m and start build again!"
     exit 1
   fi

-  unzip -o /tmp/en.st-link-server.zip -d "${srcdir:?}"
+  unzip -o /tmp/${zipfilename} -d "${srcdir:?}"

 }

 build() {

-  cd "${srcdir}/en.st-link-server" || (
-    echo -e "\E[1;31mBuild Failed! \E[0mCan't cd to ${srcdir}/en.st-link-server directory! Perhaps unzip is not" \
-    "installed or the /tmp/en.st-link-server.zip archive is damaged! Please try install unzip and download again" \
+  cd "${srcdir}/${subsrcdir}" || (
+    echo -e "\E[1;31mBuild Failed! \E[0mCan't cd to ${srcdir}/${subsrcdir} directory! Perhaps unzip is not" \
+    "installed or the /tmp/${subsrcdir}.zip archive is damaged! Please try install unzip and download again" \
     "en.st-link-server.zip file!"
     exit 1
   )
@@ -39,9 +42,9 @@ build() {

   makeself_dir=$(find . -type d -name "makeself_dir*" | head -n 1)

-  if [[ ! -f "${srcdir:?}/en.st-link-server/${makeself_dir:?}/stlink-server"
-  || ! -f "${srcdir:?}/en.st-link-server/${makeself_dir:?}/prompt_linux_license.sh" ]]; then
-    echo -e "\E[1;31mBuild Failed! \E[0mSource directory ${srcdir}/en.st-link-server/${makeself_dir} not exist!"
+  if [[ ! -f "${srcdir:?}/${subsrcdir}/${makeself_dir:?}/stlink-server"
+  || ! -f "${srcdir:?}/${subsrcdir}/${makeself_dir:?}/prompt_linux_license.sh" ]]; then
+    echo -e "\E[1;31mBuild Failed! \E[0mSource directory ${srcdir}/${subsrcdir}/${makeself_dir} not exist!"
     exit 1
   fi

@@ -53,7 +56,7 @@ build() {

 package() {

-  install -Dm644 "${srcdir:?}/en.st-link-server/LICENSE" "${pkgdir:?}/usr/share/licenses/${pkgname}/LICENSE"
-  install -Dm755 "${srcdir:?}/en.st-link-server/stlink-server" "${pkgdir:?}/usr/bin/stlink-server"
+  install -Dm644 "${srcdir:?}/${subsrcdir}/LICENSE" "${pkgdir:?}/usr/share/licenses/${pkgname}/LICENSE"
+  install -Dm755 "${srcdir:?}/${subsrcdir}/stlink-server" "${pkgdir:?}/usr/bin/stlink-server"

 }

zkrx commented on 2023-02-15 15:00 (UTC)

Hey, package looks broken:

[laptop]$ yay -S stlink-server
:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  stlink-server-2.0.2-1

  1 stlink-server                            (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> A
:: Deleting (1/1): /home/user/.cache/yay/stlink-server
:: (1/1) Downloaded PKGBUILD: stlink-server
  1 stlink-server                            (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> 
:: (1/1) Parsing SRCINFO: stlink-server
==> Making package: stlink-server 2.0.2-1 (Wed 15 Feb 2023 03:43:40 PM CET)
==> Retrieving sources...
==> Making package: stlink-server 2.0.2-1 (Wed 15 Feb 2023 03:43:41 PM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
==> Removing existing $srcdir/ directory...
==> Extracting sources...
==> Starting prepare()...
Archive:  /tmp/en.st-link-server.zip
   creating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/
  inflating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/readme.txt  
  inflating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/st-stlink-server-2.0.2-3-linux-amd64.deb  
  inflating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/st-stlink-server-2.0.2-3-linux-amd64.rpm  
  inflating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/st-stlink-server.2.0.2-3-linux-amd64.install.sh  
  inflating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/st-stlink-server.2.0.2-3.msi  
  inflating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/st-stlink-server.2.0.2-3.pkg  
  inflating: /home/user/.cache/yay/stlink-server/src/en.st-link-server_v2.0.2-3/stlink-server.2.0.2-3  
==> Sources are ready.
==> Making package: stlink-server 2.0.2-1 (Wed 15 Feb 2023 03:43:42 PM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting build()...
/home/user/.cache/yay/stlink-server/PKGBUILD: line 31: cd: /home/user/.cache/yay/stlink-server/src/en.st-link-server: No such file or directory
Build Failed! Can't cd to /home/user/.cache/yay/stlink-server/src/en.st-link-server directory! Perhaps unzip is not installed or the /tmp/en.st-link-server.zip archive is damaged! Please try install unzip and download again en.st-link-server.zip file!
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: stlink-server
[laptop]$ ls -l ~/.cache/yay/stlink-server/src/                                                                                                                                                                │total 1112
total 4                                                                                                                                                                                                                                        │-rw-r--r-- 1 user user   1074 Jan 20  2020 readme.txt
drwxr-xr-x 2 user user 4096 Jun  9  2021 en.st-link-server_v2.0.2-3    

Also, pkgrel should be bumped to 3 (even better: pkgver should be updated).

Here is my diff on the PKGBUILD for your convenience:

7c7
< pkgrel=3
---
> pkgrel=1
31c31
<   cd "${srcdir}/en.st-link-server_v${pkgver}-${pkgrel}" || (
---
>   cd "${srcdir}/en.st-link-server" || (
42,43c42,43
<   if [[ ! -f "${srcdir:?}/en.st-link-server_v${pkgver}-${pkgrel}/${makeself_dir:?}/stlink-server"
<   || ! -f "${srcdir:?}/en.st-link-server_v${pkgver}-${pkgrel}/${makeself_dir:?}/prompt_linux_license.sh" ]]; then
---
>   if [[ ! -f "${srcdir:?}/en.st-link-server/${makeself_dir:?}/stlink-server"
>   || ! -f "${srcdir:?}/en.st-link-server/${makeself_dir:?}/prompt_linux_license.sh" ]]; then
56,57c56,57
<   install -Dm644 "${srcdir:?}/en.st-link-server_v${pkgver}-${pkgrel}/LICENSE" "${pkgdir:?}/usr/share/licenses/${pkgname}/LICENSE"
<   install -Dm755 "${srcdir:?}/en.st-link-server_v${pkgver}-${pkgrel}/stlink-server" "${pkgdir:?}/usr/bin/stlink-server"
---
>   install -Dm644 "${srcdir:?}/en.st-link-server/LICENSE" "${pkgdir:?}/usr/share/licenses/${pkgname}/LICENSE"
>   install -Dm755 "${srcdir:?}/en.st-link-server/stlink-server" "${pkgdir:?}/usr/bin/stlink-server"